{ pkgs, hx }:

pkgs.runCommand "testing-ecp5-bitstream" {
    buildInputs = [ (pkgs.python3.withPackages(ps: [hx.nmigen hx.nmigen-boards hx.nmigen-soc hx.heavycomps hx.minerva])) pkgs.yosys ];
  }
  ''
  export YOSYS=${pkgs.yosys}/bin/yosys
  export NEXTPNR_ECP5=${pkgs.nextpnr}/bin/nextpnr-ecp5
  export ECPPACK=${pkgs.trellis}/bin/ecppack
  #export NMIGEN_verbose=1
  python ${./testing_ecp5.py} ${hx.fw-helloworld}/testing.bin $out
  ''
