{ stdenv, python3Packages, nmigen, nmigen-stdio, nmigen-soc }:

python3Packages.buildPythonPackage {
  name = "heavycomps";

  src = ./heavycomps;

  propagatedBuildInputs = [ nmigen nmigen-stdio nmigen-soc ];

  meta = with stdenv.lib; {
    description = "Components for the HeavyX SoC toolkit";
    homepage    = "https://m-labs.hk/migen";
    license     = licenses.bsd2;
    maintainers = [ maintainers.sb0 ];
  };
}
